<?xml version="1.0"?>
<xsl:stylesheet xmlns:wmc="http://www.opengis.net/context" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0"><xsl:output method="xml" encoding="utf-8"/><xsl:param name="lang">en</xsl:param><xsl:param name="widgetNode"/><xsl:param name="abstract"/><xsl:param name="moreInfo"/><xsl:template match="/"><xsl:apply-templates select="wmc:ViewContext/wmc:General"/><xsl:apply-templates select="wmc:OWSContext/wmc:General"/></xsl:template><xsl:template match="wmc:General"><xsl:param name="metadataUrl"><xsl:value-of select="wmc:DescriptionURL/wmc:OnlineResource/@xlink:href"/></xsl:param><xsl:param name="logoUrl"><xsl:value-of select="wmc:LogoURL/wmc:OnlineResource/@xlink:href"/></xsl:param><div><h3><xsl:value-of select="$abstract"/></h3>

<p><xsl:choose><xsl:when test="wmc:Abstract/@xml:lang"><xsl:value-of select="wmc:Abstract[@xml:lang=$lang]"/></xsl:when><xsl:otherwise><xsl:value-of select="wmc:Abstract"/></xsl:otherwise></xsl:choose></p><p><a href="{$metadataUrl}" title="{$metadataUrl}" target="moreInfo"><xsl:value-of select="$moreInfo"/></a></p></div></xsl:template><xsl:template match="text()|@*"/></xsl:stylesheet>
